VersionedStage:
  description: The stage to read from or write to
  values:
    DRAFT:
      value: Stage
      description: The draft stage
    LIVE:
      value: Live
      description: The live stage

VersionedQueryMode:
  description: The versioned mode to use
  values:
    ARCHIVE:
      value: archive
      description: Read from a specific date of the archive
    LATEST:
      value: latest_versions
      description: Read the latest version
    ALL_VERSIONS:
      value: all_versions
      description: Reads all versionse
    DRAFT:
      value: Stage
      description: Read from the draft stage
    LIVE:
      value: Live
      description: Read from the live stage
    STATUS:
      value: status
      description: Read only records with a specific status
    VERSION:
      value: version
      description: Read a specific version

VersionedStatus:
  description: The stage to read from or write to
  values:
    PUBLISHED:
      value: published
      description: Only published records
    DRAFT:
      value: draft
      description: Only draft records
    ARCHIVED:
      value: archived
      description: Only records that have been archived
    MODIFIED:
      value: modified
      description: Only records that have unpublished changes
